package domain


type WdkWarehouseOrderDispatchBaseResult struct {
    /*
        返回码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        返回信息     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        是否执行成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *WdkWarehouseOrderDispatchBaseResult) SetReturnCode(v string) *WdkWarehouseOrderDispatchBaseResult {
    s.ReturnCode = &v
    return s
}
func (s *WdkWarehouseOrderDispatchBaseResult) SetReturnMsg(v string) *WdkWarehouseOrderDispatchBaseResult {
    s.ReturnMsg = &v
    return s
}
func (s *WdkWarehouseOrderDispatchBaseResult) SetSuccess(v bool) *WdkWarehouseOrderDispatchBaseResult {
    s.Success = &v
    return s
}
